<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>G4Wrapping Member List</h1>This is the complete list of members for <a class="el" href="classG4Wrapping.html">G4Wrapping</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a4887710b86853396a312169b5faa4e13">ConstructLUTWrapping</a>(G4ScintillatorTile *scinti_to_be_wrapped, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, G4SurfaceType surfaceType, G4double roughness, G4VPhysicalVolume *surrounding_volume=0)</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#aff025cde1a83c77891a4fd8c4fba1e98">ConstructWrappingSurface</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a1527423c0227c986e6b41b05caac2a03">ConstructWrappingVolumes</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#ae69787491856df243ccf1f166af267a5">DefineWrapping1MaterialProperties</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a03ccb77bc2e0bac639a170484775b9ce">DefineWrapping2MaterialProperties</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#ac4bfd5ed42a7729d0e3a150221cfa327">DefineWrappingMaterials</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a43c9c1f1f5bbfc3f66060f2706ee2382">DefineWrappingSurfacesProperties</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a434e4c98808df961a9ecce83aed804e9">G4Wrapping</a>(G4ScintillatorTile *scinti_to_be_wrapped, G4String wrapping_property_file, G4VPhysicalVolume *mother_volume, G4String wrapping_name, std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, GODDeSS_DataStorage *dataStorage)</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#aef81dad2849626977f96e99235457fa8">GetAirGapThickness</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#abb99f2648a58b066a0da5343b25fe324">GetInnerWrapping_layerLogicalVolume</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#aa6abcfdb6aa7a68688dd717d10b10fbf">GetInnerWrappingLayer_physicalVolume</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#ac0300abd7b2ba749f590f528613b558a">GetInnerWrappingLayer_solidVolume</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a0547a89789af5d8719c6b88d4ce98816">GetInnerWrappingLayerMaterial</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#afcbe4098ee1577c8e1737657c2dab472">GetInnerWrappingLayerThickness</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a37405ed7ec803157aab099e6d060ddb1">GetMotherVolume_physicalVolume</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a9de7fb77d70bf6e912ae6480bc29c705">GetSensitiveDetector</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a1f0e08b65e27da3f403474f1af11a273">GetWrapping_logicalVolume</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a2c1c0169ca39dbc97ed9eaa136f7e02c">GetWrapping_physicalVolume</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a6399b15138b81a430d059177fde0d04a">GetWrapping_solidVolume</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a30ec72307293d63ab9f37323461b63ca">GetWrappingDimensions</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#ad8799f9eab40230a57e897ed9760e3bd">GetWrappingInnerOpticalSurface</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#ab07a34761fef0327ac36bc33445660af">GetWrappingInternalOpticalSurface</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#aed147f0b96616643c8677a813a216def">GetWrappingMaterial</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a475b1ef4b267688c129d7b12d423a6a5">GetWrappingName</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a70dfbd9bb3f746cdfb00e5b42ef9e034">GetWrappingOuterOpticalSurface</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#ad803a6027f5a46c7452b1ce14c7f2d8f">GetWrappingThickness</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a03757a17b127fc54bf01db6a4231425a">GetWrappingTransformation</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#a685337e85e92e33df58006a7d267ea09">HasSensitiveDetector</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4Wrapping.html#ab236e74ab7adb5b00d333e472a7b9454">~G4Wrapping</a>()</td><td><a class="el" href="classG4Wrapping.html">G4Wrapping</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
